<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="inputField">
            <h2><span>Input Field</span> {{ inputField.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ inputField.name }}</span>
                </dd>
                <dt><span>Label</span></dt>
                <dd>
                    <span>{{ inputField.label }}</span>
                </dd>
                <dt><span>Link</span></dt>
                <dd>
                    <span>{{ inputField.link }}</span>
                </dd>
                <dt><span>Case Step</span></dt>
                <dd>
                    <div *ngIf="inputField.caseStep">
                        <a [routerLink]="['/case-step', inputField.caseStep?.id, 'view']">{{ inputField.caseStep?.id }}</a>
                    </div>
                </dd>
                <dt><span>Case Step Instance</span></dt>
                <dd>
                    <div *ngIf="inputField.caseStepInstance">
                        <a [routerLink]="['/case-step-instance', inputField.caseStepInstance?.id, 'view']">{{ inputField.caseStepInstance?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/input-field', inputField.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
